//
//  RadioButtonExampleAppDelegate.m
//  RadioButtonExample
//
//  Created by Latenitecoder on 23/05/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RadioButtonExampleAppDelegate.h"

@implementation RadioButtonExampleAppDelegate


@synthesize window=_window;
@synthesize yesButton = _yesButton;
@synthesize noButton = _noButton;
@synthesize bgImageOn;
@synthesize bgImageOff;


-(IBAction)tickboxControl:(id)sender{  
	
	int state;
	
	UIButton *buttonClicked = (UIButton *)sender;  
	UIImage *imageOfClicked = [buttonClicked imageForState:UIControlStateNormal];  
	
	if (imageOfClicked == bgImageOff) {  
		[buttonClicked setImage:bgImageOn forState:UIControlStateNormal];  
		state = 1;
	} else{  
		[buttonClicked setImage:bgImageOff forState:UIControlStateNormal];  
		state = 0;
	}       
	
	[self setButtonFlags:[sender tag]: state];  
}

- (void)setButtonFlags:(int)buttonflag: (int)buttonState{
	
	if (buttonflag == 1) {
		
		NSLog(@"The YES Button has been pressed");
		
		if (buttonState == 1) {
			NSLog(@"The YES Button has been switched on - switching off the NO Button");
			[_noButton setImage:bgImageOff forState:UIControlStateNormal]; 
			// Do something here as yes button selected
		}
		
	} else if (buttonflag == 0) {
		
		NSLog(@"The NO Button has been pressed");
		
		if (buttonState == 1) {
			NSLog(@"The NO Button has been switched on - switching off the YES Button");
			[_yesButton setImage:bgImageOff forState:UIControlStateNormal]; 
			// Do something here as no button selected
		}
	}
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
	// Override point for customization after application launch.
	
	bgImageOn = [UIImage imageNamed:@"tickBox_On.png"];  
	bgImageOff = [UIImage imageNamed:@"tickBox_Off.png"];  
	
	[self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
	/*
	 Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
	 Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
	 */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
	/*
	 Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
	 If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
	 */
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
	/*
	 Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
	 */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
	/*
	 Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
	 */
}

- (void)applicationWillTerminate:(UIApplication *)application
{
	/*
	 Called when the application is about to terminate.
	 Save data if appropriate.
	 See also applicationDidEnterBackground:.
	 */
}

- (void)dealloc
{
	[_window release];
	[_yesButton release];
	[_noButton release];
	[bgImageOn release];
	[bgImageOff release];
    [super dealloc];
}

@end
